org.keycloak.theme

## Class ClasspathThemeProvider

- java.lang.Object
- - org.keycloak.theme.ClasspathThemeProvider

- All Implemented Interfaces:
    Provider, ThemeProvider

      public class ClasspathThemeProvider
      extends Object
      implements ThemeProvider

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClasspathThemeProvider(Map<Theme.Type,Map<String,ClassLoaderTheme>> themes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `getProviderPriority()`
    `Theme` | `getTheme(String name, Theme.Type type)`
    `boolean` | `hasTheme(String name, Theme.Type type)`
    `Set<String>` | `nameSet(Theme.Type type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClasspathThemeProvider

          public ClasspathThemeProvider(Map<Theme.Type,Map<String,ClassLoaderTheme>> themes)

  - ### Method Detail

    - #### getProviderPriority

          public int getProviderPriority()

      Specified by:
        `getProviderPriority` in interface `ThemeProvider`

    - #### getTheme

          public Theme getTheme(String name,
                                Theme.Type type)
                         throws IOException

      Specified by:
        `getTheme` in interface `ThemeProvider`
      Throws:
        `IOException`

    - #### nameSet

          public Set<String> nameSet(Theme.Type type)

      Specified by:
        `nameSet` in interface `ThemeProvider`

    - #### hasTheme

          public boolean hasTheme(String name,
                                  Theme.Type type)

      Specified by:
        `hasTheme` in interface `ThemeProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2021 JBoss by Red Hat. All rights reserved.